const WITHDRAWAL_URI = require("../config").WITHDRAWAL_URI;
const req = require("../utils/request").httpReq;

/**
 * 示例
 *  exports.方法名 = async ctx => {
 *    const url = `${设置好的域名}/向服务端发送的请求地址`;
 *    const opts = {
 *      url,
 *      method:"发送什么请求"，
 *      qs: ctx.request.query （get请求的参数）
 *      body：ctx.request.body （post请求的参数）
 *      json：boolean (是否转换为json)
 *    };
 *    ctx.body = await req(ctx,opts); 将发送请求后的数据传递给前端页面
 *  };
 */
// 获取提现审核列表
exports.getApplyList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/apply_list`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    };
    ctx.body = await req(ctx, opts);
};
// 获取黑名单冻结账户
exports.getBlackList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet//background/blacklist`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body
    };
    ctx.body = await req(ctx, opts);
};
// 获取通过、拒绝订单审核
exports.getWithdrawAudit = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/withdraw_audit`;
    const opts = {
        url,
        method: "POST",
        json:true,
        body:ctx.request.body
    }
    ctx.body = await req(ctx,opts)
}