// 提现审核
const withdrawalRoutes = [
  {
    path: "/op/withdrawal",
    redirect: "/op/withdrawal/audit"
  },
  {
    path: "/op/withdrawal/audit",
    name: "Audit",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Audit"),
  },
  //用户管理
  {
    path: "/op/withdrawal/user",
    name: "User",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/User/userList"),
  },
  {
    path: "/op/withdrawal/userDetail",
    name: "UserDetail",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/User/user-detail.vue"),
  },
  //角色管理
  {
    path: "/op/withdrawal/roleAddRole",
    name: "AddRole",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/add-role"),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/op/withdrawal/roleManageRole",
    name: "ManageRole",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/manage-role"),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/op/withdrawal/roleRoleDetail",
    name: "RoleDetail",
    component: () => import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/role-detail"),
    meta: {
      keepAlive: true
    }
  },
];

export default withdrawalRoutes;